Get the current commit CID & revision of the specified repo. Does not require auth.
GET
/xrpc/com.atproto.sync.getLatestCommit
const url = 'https://example.com/xrpc/com.atproto.sync.getLatestCommit?did=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/xrpc/com.atproto.sync.getLatestCommit?did=example'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”did
required
The DID of the repo.
string format: did
The DID of the repo.
Responses
Section titled “Responses”Success
Media typeapplication/json
object
cid
required
string format: cid
rev
required
string format: tid
Example generated
{ "cid": "example", "rev": "example"}Bad Request
